Skip to main content

Snapshots and publishing jobs

Base URL: https://api.amplience.net/v2/content

Authorization and status codes

For authorization and status codes see the API Reference overview.

Snapshots
Link copied!

MethodEndpointSummary
GET/hubs/{hubId}/snapshotsList snapshots
POST/hubs/{hubId}/snapshotsCreate snapshot
POST/hubs/{hubId}/snapshots/batchCreate batch of snapshot
GET/hubs/{hubId}/snapshots/searchSearch snapshots
GET/snapshots/{snapshotId}Get snapshot
GET/snapshots/{snapshotId}/edition-linksGet snapshot edition links
POST/snapshots/{snapshotId}/edition-linksCreate snapshot edition link
DELETE/snapshots/{snapshotId}/edition-links/{editionId}Delete snapshot edition link
GET/snapshots/{snapshotId}/publishing-jobsList all publishing jobs for a snapshot
POST/snapshots/{snapshotId}/publishing-jobsCreate publishing-job for snapshot
POST/snapshots/search/facetSnapshot facets

List snapshots
Link copied!

GET /hubs/{hubId}/snapshots

https://api.amplience.net/v2/content/hubs/{hubId}/snapshots

List all of the snapshots created for a hub. The list can be filtered by user or system created snapshots.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
pagequeryintegerPage number
Example: 0
sizequeryintegerPage size
Example: 20
sortquerystringSort paramter
Example: createdDate,asc
typequerystring (user, system, generated)Type filter
Example: user

Responses

StatusDescription
200Paginated Snapshot List
Response Example (200)
{
"_embedded": {
"snapshots": [
{
"id": "00112233445566778899aabb",
"comment": "This is a example snapshot.",
"createdDate": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdFrom": "content-item",
"type": "USER",
"meta": [
{
"key": "example-key",
"value": "example value"
}
],
"taggedEdition": [
{
"editionId": "00112233445566778899aabb",
"createdDate": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"name": "Example Edition 1",
"editionName": "Example Edition 1"
}
],
"locale": "en-US",
"contentRoot": "00112233-4455-6677-8899-aabbccddeeff",
"rootContentItem": {
"label": "Banner Ad Homepage",
"contentTypeUri": "Banner Ad Homepage",
"id": "00112233-4455-6677-8899-aabbccddeeff"
},
"rootContentItems": [],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"snapshot": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"publishing-jobs": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/publishing-jobs{?page,size,sort}",
"templated": true
},
"create-publishing-job": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/publishing-jobs"
},
"edition-links": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"content-root": {
"href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb"
},
"snapshot-content-item": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/content-items{/id}",
"templated": true
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb?page=0&size=20"
},
"search": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/search"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Create snapshot
Link copied!

POST /hubs/{hubId}/snapshots

https://api.amplience.net/v2/content/hubs/{hubId}/snapshots

Create a new Snapshot for a particular Content-Item.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
commentstringComment
createdFromstring (content-item, edition)Indicates if this Snapshot was created by an Edition or a Content-Item
typestring (USER, SYSTEM)Indicates the type of Snapshot (USER or SYSTEM)
contentRootID of the root Content-Item
Request example
{
"comment": "This is a example snapshot.",
"createdFrom": "content-item",
"type": "USER",
"contentRoot": "00112233-4455-6677-8899-aabbccddeeff"
}

Responses

StatusDescription
201Paginated Snapshot List
Response Example (201)
{
"id": "00112233445566778899aabb",
"comment": "This is a example snapshot.",
"createdDate": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdFrom": "content-item",
"type": "USER",
"meta": [
{
"key": "example-key",
"value": "example value"
}
],
"taggedEdition": [
{
"editionId": "00112233445566778899aabb",
"createdDate": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"name": "Example Edition 1",
"editionName": "Example Edition 1"
}
],
"locale": "en-US",
"contentRoot": "00112233-4455-6677-8899-aabbccddeeff",
"rootContentItem": {
"label": "Banner Ad Homepage",
"contentTypeUri": "Banner Ad Homepage",
"id": "00112233-4455-6677-8899-aabbccddeeff"
},
"rootContentItems": [
{
"label": "Banner Ad Homepage",
"contentTypeUri": "Banner Ad Homepage",
"id": "00112233-4455-6677-8899-aabbccddeeff"
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"snapshot": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"publishing-jobs": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/publishing-jobs{?page,size,sort}",
"templated": true
},
"create-publishing-job": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/publishing-jobs"
},
"edition-links": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"content-root": {
"href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb"
},
"snapshot-content-item": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/content-items{/id}",
"templated": true
}
}
}

Create batch of snapshot
Link copied!

POST /hubs/{hubId}/snapshots/batch

https://api.amplience.net/v2/content/hubs/{hubId}/snapshots/batch

Create new Snapshots for a batch of Content Items.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

Request example
[
{
"id": "00112233445566778899aabb",
"comment": "This is a example snapshot.",
"createdDate": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdFrom": "content-item",
"type": "USER",
"meta": [
{
"key": "example-key",
"value": "example value"
}
],
"taggedEdition": [
{
"editionId": "00112233445566778899aabb",
"createdDate": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"name": "Example Edition 1",
"editionName": "Example Edition 1"
}
],
"locale": "en-US",
"contentRoot": "00112233-4455-6677-8899-aabbccddeeff",
"rootContentItem": {
"label": "Banner Ad Homepage",
"contentTypeUri": "Banner Ad Homepage",
"id": "00112233-4455-6677-8899-aabbccddeeff"
},
"rootContentItems": [
{
"label": "Banner Ad Homepage",
"contentTypeUri": "Banner Ad Homepage",
"id": "00112233-4455-6677-8899-aabbccddeeff"
}
]
}
]

Responses

StatusDescription
201Paginated Snapshot List
Response Example (201)
{
"hubId": "00112233445566778899aabb",
"snapshot": [
{
"id": "00112233445566778899aabb",
"comment": "This is a example snapshot.",
"createdDate": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdFrom": "content-item",
"type": "USER",
"meta": [
{
"key": "example-key",
"value": "example value"
}
],
"taggedEdition": [
{
"editionId": "00112233445566778899aabb",
"createdDate": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"name": "Example Edition 1",
"editionName": "Example Edition 1"
}
],
"locale": "en-US",
"contentRoot": "00112233-4455-6677-8899-aabbccddeeff",
"rootContentItem": {
"label": "Banner Ad Homepage",
"contentTypeUri": "Banner Ad Homepage",
"id": "00112233-4455-6677-8899-aabbccddeeff"
},
"rootContentItems": [
{
"label": "Banner Ad Homepage",
"contentTypeUri": "Banner Ad Homepage",
"id": "00112233-4455-6677-8899-aabbccddeeff"
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"snapshot": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"publishing-jobs": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/publishing-jobs{?page,size,sort}",
"templated": true
},
"create-publishing-job": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/publishing-jobs"
},
"edition-links": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"content-root": {
"href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb"
},
"snapshot-content-item": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/content-items{/id}",
"templated": true
}
}
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots/batch"
},
"snapshots": {
"href": "https://api.amplience.net/...",
"templated": true
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
}
}
}

Search snapshots
Link copied!

GET /hubs/{hubId}/snapshots/search

https://api.amplience.net/v2/content/hubs/{hubId}/snapshots/search

List all of the support search queries for a Snapshot

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Snapshot Search Links
Response Example (200)
{
"_links": {
"facet": {
"href": "https://api.amplience.net/...",
"templated": true
},
"self": {
"href": "https://api.amplience.net/..."
}
}
}

Get snapshot
Link copied!

GET /snapshots/{snapshotId}

https://api.amplience.net/v2/content/snapshots/{snapshotId}

Return the snapshot with the specified ID.

Parameters

NameInTypeRequiredDescription
snapshotIdpathstringSnapshot ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Snapshot Response
Response Example (200)
{
"id": "00112233445566778899aabb",
"comment": "This is a example snapshot.",
"createdDate": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdFrom": "content-item",
"type": "USER",
"meta": [
{
"key": "example-key",
"value": "example value"
}
],
"taggedEdition": [
{
"editionId": "00112233445566778899aabb",
"createdDate": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"name": "Example Edition 1",
"editionName": "Example Edition 1"
}
],
"locale": "en-US",
"contentRoot": "00112233-4455-6677-8899-aabbccddeeff",
"rootContentItem": {
"label": "Banner Ad Homepage",
"contentTypeUri": "Banner Ad Homepage",
"id": "00112233-4455-6677-8899-aabbccddeeff"
},
"rootContentItems": [
{
"label": "Banner Ad Homepage",
"contentTypeUri": "Banner Ad Homepage",
"id": "00112233-4455-6677-8899-aabbccddeeff"
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"snapshot": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"publishing-jobs": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/publishing-jobs{?page,size,sort}",
"templated": true
},
"create-publishing-job": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/publishing-jobs"
},
"edition-links": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"content-root": {
"href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb"
},
"snapshot-content-item": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/content-items{/id}",
"templated": true
}
}
}

GET /snapshots/{snapshotId}/edition-links

https://api.amplience.net/v2/content/snapshots/{snapshotId}/edition-links

Return a list of edition links for the specified snapshot. Simply follow the HAL link with rel "snapshot-edition-links" from a snapshot response.

Parameters

NameInTypeRequiredDescription
snapshotIdpathstringSnapshot ID
Example: 00112233445566778899aabb
pagequeryintegerPage number
Example: 0
sizequeryintegerPage size
Example: 20
sortquerystringSort paramter
Example: createdDate,asc

Responses

StatusDescription
200Snapshot Edition Get Links Response
Response Example (200)
{
"_embedded": {
"edition-links": [
{
"editionId": "00112233445566778899aabb",
"createdDate": "2019-01-01T00:00:00Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"edition": "00112233445566778899aabb",
"_links": {
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links/00112233445566778899aabb"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links?page=0&size=20"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

POST /snapshots/{snapshotId}/edition-links

https://api.amplience.net/v2/content/snapshots/{snapshotId}/edition-links

Create a link between the specified snapshot and edition.

Parameters

NameInTypeRequiredDescription
snapshotIdpathstringSnapshot ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
editionstringEdition ID
Request example
{
"edition": "00112233445566778899aabb"
}

Responses

StatusDescription
200Snapshot Edition Link Create Response
Response Example (200)
{
"editionId": "00112233445566778899aabb",
"createdDate": "2019-01-01T00:00:00Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"edition": "00112233445566778899aabb",
"_links": {
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links/00112233445566778899aabb"
}
}
}

DELETE /snapshots/{snapshotId}/edition-links/{editionId}

https://api.amplience.net/v2/content/snapshots/{snapshotId}/edition-links/{editionId}

Delete a Snapshot Edition Link

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition ID
Example: 00112233445566778899aabb

Responses

StatusDescription
204Successfully removed the Snapshot Edition link

List all publishing jobs for a snapshot
Link copied!

GET /snapshots/{snapshotId}/publishing-jobs

https://api.amplience.net/v2/content/snapshots/{snapshotId}/publishing-jobs

Get a list of all Publishing Jobs for a Snapshot

Parameters

NameInTypeRequiredDescription
snapshotIdpathstringSnapshot ID
pagequeryintegerPage number
Example: 0
sizequeryintegerPage size
Example: 20
sortquerystringSort paramter
Example: createdDate,asc

Responses

StatusDescription
200List of all publishing jobs for a Snapshot Response
Response Example (200)
{
"_embedded": {
"publishing-jobs": [
{
"id": "00112233445566778899aabb",
"scheduledDate": "2018-01-01T00:00:00Z",
"createdDate": "2018-01-01T00:00:00Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"state": "CREATED",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
},
"publishing-job": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
},
"snapshot": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"cancel": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb?page=0&size=20"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Create publishing-job for snapshot
Link copied!

POST /snapshots/{snapshotId}/publishing-jobs

https://api.amplience.net/v2/content/snapshots/{snapshotId}/publishing-jobs

Create a Publishing Job for a Snapshot

Parameters

NameInTypeRequiredDescription
snapshotIdpathstringSnapshot ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
scheduledDatestringScheduled date and time for Publishing Job
Request example
{
"scheduledDate": "2018-01-01T00:00:00Z"
}

Responses

StatusDescription
200Successfully created a Publishing Job
Response Example (200)
{
"id": "00112233445566778899aabb",
"scheduledDate": "2018-01-01T00:00:00Z",
"createdDate": "2018-01-01T00:00:00Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"state": "CREATED",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
},
"publishing-job": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
},
"snapshot": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"cancel": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
}
}
}

Snapshot facets
Link copied!

POST /snapshots/search/facet

https://api.amplience.net/v2/content/snapshots/search/facet

Add a search facet to a snapshot.

Parameters

NameInTypeRequiredDescription
hubIdquerystringHub ID
Example: 00112233445566778899aabb
pagequeryintegerPage number
Example: 0
sizequeryintegerPage size
Example: 20
sortquerystringSort
Example: createdDate,asc

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
fieldsarrayFields to facet by
returnEntitiesbooleanReturn entities in the response
Request example: singleFacet
{
"fields": [
{
"facetAs": "ENUM",
"field": "taggedEditions.editionId",
"userFacingName": "editionId"
}
],
"returnEntities": false
}
Request example: basicDateRanges
{
"fields": [
{
"facetAs": "DATE",
"name": "60 days +",
"range": {
"start": "-60:DAYS",
"end": "-9999:YEARS"
},
"field": "createdDate",
"userFacingName": "60 days +"
},
{
"facetAs": "DATE",
"name": "Last 60 days",
"range": {
"start": "-60:DAYS",
"end": "NOW"
},
"field": "createdDate",
"userFacingName": "Last 60 days"
},
{
"facetAs": "DATE",
"name": "Last 30 days",
"range": {
"start": "-30:DAYS",
"end": "NOW"
},
"field": "createdDate",
"userFacingName": "Last 30 days"
},
{
"facetAs": "DATE",
"name": "Last 14 days",
"range": {
"start": "-14:DAYS",
"end": "NOW"
},
"field": "createdDate",
"userFacingName": "Last 14 days"
},
{
"facetAs": "DATE",
"name": "Last 7 days",
"range": {
"start": "-7:DAYS",
"end": "NOW"
},
"field": "createdDate",
"userFacingName": "Last 7 days"
}
],
"returnEntities": false
}

Responses

StatusDescription
200Paginated Snapshot List
Response example (200): singleFacet
{
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/search/facet?hubId=5d36b6cc46e0fb03cc4b27b4"
}
},
"_facets": {
"editionId": [
{
"_id": "5d36b6cc46e0fb03cc4b27b6",
"count": 104
},
{
"_id": "5d36b6cc46e0fb03cc4b27b8",
"count": 52
},
{
"_id": "5d36b6cc46e0fb03cc4b27b7",
"count": 52
}
]
}
}
Response example (200): basicDateRanges
{
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/search/facet?hubId=5d36b6cb46e0fb03cc4b25f6"
}
},
"_facets": {
"Last 30 days": [
{
"_id": "-30:DAYS,NOW",
"count": 15
}
],
"Last 14 days": [
{
"_id": "-14:DAYS,NOW",
"count": 6
}
],
"Last 60 days": [
{
"_id": "-60:DAYS,NOW",
"count": 27
}
],
"Last 7 days": [
{
"_id": "-7:DAYS,NOW",
"count": 3
}
],
"60 days +": [
{
"_id": "-9999:YEARS,-60:DAYS",
"count": 129
}
]
}
}

Publishing jobs
Link copied!

MethodEndpointSummary
GET/publishing-jobs/{publishingJobId}Get a publishing job
PATCH/publishing-jobs/{publishingJobId}Cancelling a publishing job

Get a publishing job
Link copied!

GET /publishing-jobs/{publishingJobId}

https://api.amplience.net/v2/content/publishing-jobs/{publishingJobId}

Get a Publishing Job

The state field tracks the job through its lifecycle. Possible values:

StateMeaning
CREATEDJob has been created and is queued
PREPARINGJob is being prepared for publishing
WAITINGJob is waiting to start publishing
PUBLISHINGPublishing is in progress
COMPLETEDPublishing completed successfully
FAILEDPublishing failed
CANCELLEDJob was cancelled via PATCH

Parameters

NameInTypeRequiredDescription
publishingJobIdpathstringPublishing Job ID

Responses

StatusDescription
200A Publishing Job response
Response Example (200)
{
"id": "00112233445566778899aabb",
"scheduledDate": "2018-01-01T00:00:00Z",
"createdDate": "2018-01-01T00:00:00Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"state": "CREATED",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
},
"publishing-job": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
},
"snapshot": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"cancel": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
}
}
}

Cancelling a publishing job
Link copied!

PATCH /publishing-jobs/{publishingJobId}

https://api.amplience.net/v2/content/publishing-jobs/{publishingJobId}

Cancel a Publishing Job by setting its state to CANCELLED. Only jobs in the CREATED or PUBLISHING state can be cancelled.

Parameters

NameInTypeRequiredDescription
publishingJobIdpathstringPublishing Job ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
statestringAssign state to "CANCELLED"
Request example
{
"state": "CANCELLED"
}

Responses

StatusDescription
200Publishing Job cancelled successfully
Response Example (200)
{
"id": "00112233445566778899aabb",
"scheduledDate": "2018-01-01T00:00:00Z",
"createdDate": "2018-01-01T00:00:00Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"state": "CANCELLED",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
},
"publishing-job": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
},
"snapshot": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"cancel": {
"href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
}
}
}